Bug 249043 - net/pichi: Update to 1.3.1
Summary: net/pichi: Update to 1.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: https://github.com/pichi-router/pichi...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-09-01 01:18 UTC by Pichi
Modified: 2020-09-13 07:23 UTC (History)
2 users (show)

See Also:


Attachments
1.3.1.diff (5.01 KB, patch)
2020-09-01 01:18 UTC, Pichi
no flags Details | Diff
1.3.1.diff (4.74 KB, patch)
2020-09-01 01:28 UTC, Pichi
pichi: maintainer-approval+
Details | Diff
1.3.1.diff (4.74 KB, patch)
2020-09-02 05:29 UTC, Pichi
no flags Details | Diff
1.3.1.diff (11.77 KB, patch)
2020-09-02 05:33 UTC, Pichi
pichi: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pichi 2020-09-01 01:18:38 UTC
Created attachment 217680 [details]
1.3.1.diff
Comment 1 Pichi 2020-09-01 01:28:20 UTC
Created attachment 217681 [details]
1.3.1.diff
Comment 2 Automation User 2020-09-01 06:40:18 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/184116979
Comment 3 Fernando Apesteguía freebsd_committer 2020-09-01 16:58:54 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]
Comment 4 Pichi 2020-09-02 05:29:38 UTC
Created attachment 217699 [details]
1.3.1.diff

Be compatible with 13.0-CURRENT
Comment 5 Pichi 2020-09-02 05:33:17 UTC
Created attachment 217700 [details]
1.3.1.diff

Be compatible with 13.0-CURRENT
Comment 6 Li-Wen Hsu freebsd_committer 2020-09-13 07:23:00 UTC
Committed, thanks!

Please use `make makesum` to generate distinfo with TIMESTAMP field.
Comment 7 commit-hook freebsd_committer 2020-09-13 07:23:01 UTC
A commit references this bug:

Author: lwhsu
Date: Sun Sep 13 07:22:32 UTC 2020
New revision: 548461
URL: https://svnweb.freebsd.org/changeset/ports/548461

Log:
  net/pichi: Update to 1.3.1

  PR:		249043
  Submitted by:	Pichi <pichi@elude.in> (maintainer)

Changes:
  head/net/pichi/Makefile
  head/net/pichi/distinfo
  head/net/pichi/files/patch-cmake_Configure.cmake
  head/net/pichi/files/patch-include_pichi_config.hpp.in
  head/net/pichi/files/patch-server_main.cpp
  head/net/pichi/files/patch-src_api_egress__manager.cpp
  head/net/pichi/files/patch-src_api_vos.cpp
  head/net/pichi/files/patch-src_net_spawn.cpp
  head/net/pichi/files/patch-test_endpoint.cpp
  head/net/pichi/files/patch-test_method.cpp
  head/net/pichi/files/patch-test_utils.hpp
  head/net/pichi/pkg-plist